Subject: bug#35536: 27.0.50; Expose buffer's marker list to Elisp

From: Stefan Monnier <[email-masked]>
Date: Fri, 03 May 2019 13:09:15 -0400

> Given a sufficiently sufficient save+restore primitive as per Eli's
> suggestion, it's not looking worth the trouble.

FWIW, I think exposing some new opaque "set of markers" plus primitives
to manipulate such objects is likely a lot more work, so I think from
a purely pragmatic point of view, `markers-in` might be a better option
*assuming* we can make it safe-enough (i.e. it can cause weird behaviors
if mis-used but no hard-crashes, and not if used "reasonably", e.g. if
it's not used to change the markers's buffers nor their relative ordering).

In Emacs, we're generally pretty happy to provide tools powerful enough
to shoot yourself in the foot, as long as such mishaps only happen when
you're clearly using the tool in a dangerous way.

        Stefan